DragonPrime - LoGD Resource Community
Welcome Guest
  • Good evening, Guest.
    Please log in, or register.
  • May 29, 2016, 11:40:58 PM
Home Forums News Links Downloads Login Register Advanced Search
* * *
DragonPrime Menu
Login
 
 
Resource Pages
IRC Channels
Search

Pages: [1] 2   Go Down
  Print  
Author Topic: Village News - Latest news in the village  (Read 6040 times)
0 Members and 1 Guest are viewing this topic.
lonnyl
Guest
« on: October 19, 2004, 02:28:02 PM »

Simple module that displays the latest news in the village.
Number of news announcements is configurable from game settings.
User can also turn the news display off from preferences...

Default is set to display the latest 4 news entries...

http://www.pqcomp.com/modules/mydownloads/visit.php?cid=3&lid=23

« Last Edit: February 09, 2005, 06:20:29 AM by lonnyl » Logged
AndyMC
Guest
« Reply #1 on: October 19, 2004, 06:02:24 PM »

Awesome, thanks Lonnyl!! Smiley  I'll have to wait till I get home before I can try this out.  I liked when I had this feature on my .97 server cuz it added more of a "live" feel to it, people can see the latest things happening more directly without having to go into a different page.
Logged
lonnyl
Guest
« Reply #2 on: April 09, 2005, 03:26:23 PM »

Updated to ver 1.03..

Now lets you also place news on the home page (off by default)

News on home page can be placed above or below the login via admin setting.
Logged
Jim
Guest
« Reply #3 on: April 10, 2005, 10:58:33 AM »

"Village News is now at version 1.02. Version 1.03 is available."

I've downloaded the latest and still get this.
Logged
lonnyl
Guest
« Reply #4 on: April 10, 2005, 11:01:32 AM »

Must have missed getting the latest version in the zip file... it's there now....
Logged
Jim
Guest
« Reply #5 on: April 10, 2005, 11:07:16 AM »

Still getting it.
Logged
lonnyl
Guest
« Reply #6 on: April 10, 2005, 11:11:55 AM »

Still getting it.

hmmm.... you are overwriting the old one in the modules folder?Huh (Not to ask a stoopid question, but I've done it before)....
Logged
Jim
Guest
« Reply #7 on: April 10, 2005, 11:15:49 AM »

Yes sir.
Logged
lonnyl
Guest
« Reply #8 on: April 10, 2005, 11:19:59 AM »

Hmmmm.... just checked the zip... It's got the right version in it.....

Try downloading again I guess....  Shocked
Logged
Jim
Guest
« Reply #9 on: April 10, 2005, 11:25:17 AM »

From the one I just downloaded

Code:
"name"=>"Village News",
      "version"=>"1.02",
      "author"=>"`#Lonny Luberts",
      "category"=>"PQcomp",
      "download"=>"http://www.pqcomp.com/modules/mydownloads/visit.php?cid=3&lid=23",
      "vertxtloc"=>"http://www.pqcomp.com/",
      "prefs"=>array(
         "Village News Module User Preferences,title",
         "user_villnews"=>"Display Latest News in the Village,bool|1",
      ),
      "settings"=>array(
         "Village News Module Settings,title",
         "newslines"=>"Number of news lines to display in the villages,int|4",
Logged
lonnyl
Guest
« Reply #10 on: April 10, 2005, 11:31:01 AM »

Check where you are downloading it to..... I just downloaded it and get the right version.....
Try downloading it directly to your desktop and unzip it from there... (and if you are downloading it to your desktop, delete the file that is there now)
Logged
Jim
Guest
« Reply #11 on: April 10, 2005, 11:36:41 AM »

hrmm.. same.
Logged
Dannic
Guest
« Reply #12 on: April 10, 2005, 01:10:12 PM »

try emptying your cache and see if that helps.  I had the same problem with one of Sichae's modules.  Ended up finally downloading it after about 2 hours.

Could also try just rebooting your computer then downloading.
Logged
GunSlinger
Guest
« Reply #13 on: April 10, 2005, 08:05:38 PM »

SELECT newstext,arguments FROM news ORDER BY newsid DESC LIMIT 4

Table 'gunsli2_.news' doesn't exist
Call Stack:
1: db_query() called from /home/gunsli2/public_html/lotgd/modules/villagenews.php on line 73
2: villagenews_dohook() called from /home/gunsli2/public_html/lotgd/lib/modules.php on line 502
3: modulehook("SELECT newstext,arguments...") called from /home/gunsli2/public_html/lotgd/home.php on line 70

I have vers 1.03 and am running LotGD vs 1.0.0

The line in question is:

         $sql = "SELECT newstext,arguments FROM news ORDER BY newsid DESC LIMIT ".get_module_setting('newslines');

it looks like it may need some of those db_prefix thingymajigs.
Logged
Sichae
iMod God
SVN Users
Mod God
*
Offline Offline

Posts: 3458


If ya didn't get it by now... you're hopeless...


View Profile WWW
« Reply #14 on: April 10, 2005, 08:07:35 PM »

Most likely, db_prefix problem.

Lines 47, 72, 97 need to be:

Code:
$sql = "SELECT newstext,arguments FROM ".db_prefix("news")." ORDER BY newsid DESC LIMIT ".get_module_setting('newslines');
« Last Edit: April 10, 2005, 08:09:22 PM by Sichae » Logged

If you didn't understand anything in the above post, don't try to attempt anything suggested.

Pages: [1] 2   Go Up
  Print  
 
Jump to:  


*
DragonPrime Notices
Welcome to DragonPrime - The LoGD Resource Community!

Support Us
No funds raised yet this year
Your help is greatly appreciated!
Who's Online
41 Guests, 0 Users
DragonPrime LoGD
Recent Topics
Home Forums News Links Downloads Login Register Advanced Search